Bug 226044 - www/nginx: Fix HTTP_AUTH_KRB5
Summary: www/nginx: Fix HTTP_AUTH_KRB5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-19 14:17 UTC by Christian Ullrich
Modified: 2018-04-22 15:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
Patch (3.14 KB, patch)
2018-02-19 14:17 UTC, Christian Ullrich
no flags Details | Diff
Updated patch (2.66 KB, patch)
2018-03-29 12:28 UTC, Christian Ullrich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ullrich 2018-02-19 14:17:47 UTC
Created attachment 190798 [details]
Patch

www/nginx's HTTP_AUTH_KRB5 option is not fully implemented. This patch makes it build on 11-STABLE and CURRENT, with security/krb5 and security/heimdal, tested by poudriere.

- Enable the Kerberos selection options, which have been commented out ever
  since they were first committed

- Move these options out of the HTTP_AUTH_KRB5 conditional
  - make config now saves the selected option, if any
  - the build dependency on the selected Kerberos does now exist in poudriere

- Update the patch for the spnego-http-auth-nginx-module config file to use
  the current GitHub commit from the Makefile

- Fix the same patch to not assume that -lgssapi is always there

- Force the nginx build system to admit the existence of CPPFLAGS, necessary
  to build with Heimdal

I'm not entirely convinced the last item (files/patch-auto-make) should be done this way; another option is to s/CFLAGS/CPPFLAGS &/ the whole file.
Comment 1 Christian Ullrich 2018-03-29 12:28:57 UTC
Created attachment 191924 [details]
Updated patch

Updated after r465851.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-04-03 13:12:48 UTC
see also bug #227250.
Comment 3 commit-hook freebsd_committer 2018-04-22 14:59:48 UTC
A commit references this bug:

Author: joneum
Date: Sun Apr 22 14:59:24 UTC 2018
New revision: 468031
URL: https://svnweb.freebsd.org/changeset/ports/468031

Log:
  HTTP_AUTH_KRB5 option is not fully implemented. This patch makes it build with security/krb5 and security/heimdal

  PR:		226044
  Reviewed by:	brnrd
  Differential Revision:	https://reviews.freebsd.org/D14973

Changes:
  head/www/nginx/Makefile
  head/www/nginx/Makefile.extmod
  head/www/nginx/Makefile.options.desc
  head/www/nginx/files/extra-patch-spnego-http-auth-nginx-module-config